/*
 * Created on 18.11.2003
 */
package org.n52.wmsclientcore.capabilities.version100;

import org.n52.wmsclientcore.capabilities.model.GetFeatureInfo;
import org.n52.wmsclientcore.capabilities.version100.types.OperationType;
import org.w3c.dom.Element;


/**
 * @author Theodor
 */
public class FeatureInfo extends GetFeatureInfo implements ICapabilitiesElement100{

	/**
	 * 
	 */
	public FeatureInfo(Element elem) {
		super(elem);
		

	}

	/* (non-Javadoc)
	 * @see de.ifgi.wms.capabilities.util.CapabilitiesElement#init(org.dom4j.Element)
	 */
	protected void init(Element elem) {
		super.init(elem);
		OperationType ot = new OperationType(elem);
		this.setDCPType(ot.getDCPTypes());
		this.setFormat(ot.getFormats());

	}

	/* (non-Javadoc)
	 * @see de.ifgi.wms.capabilities.util.ICapabilitiesElement#setVersionID()
	 */
	protected void setVersionID() {
		this.versionId = internID;
		
	}

}
