/*
 * Created on 03.12.2003
 */
package org.n52.wmsclientcore.capabilities.version111;

import org.w3c.dom.Element;

/**
 * @author Theodor
 */
public class ContactInformation extends org.n52.wmsclientcore.capabilities.model.ContactInformation implements ICapabilitiesElement111{

	/**
	 * @param elem
	 */
	public ContactInformation(Element elem) {
		super(elem);
		
	}

	/* (non-Javadoc)
	 * @see de.ifgi.wms.capabilities.util.CapabilitiesElement#init(org.dom4j.Element)
	 */
	protected void init(Element elem) {
		this.setContactPersonPrimary(new ContactPersonPrimary((Element)elem.getElementsByTagName("ContactPersonPrimary").item(0)));
		this.setContactPosition(this.getParsedData("ContactPosition", elem));
		this.setContactAddress(new ContactAddress((Element)elem.getElementsByTagName("ContactAddress").item(0)));
		this.setContactVoiceTelephone(this.getParsedData("ContactVoiceTelephone", elem));
		this.setContactFacsimileTelephone(this.getParsedData("ContactFacsimileTelephone", elem));
		this.setContactElectronicMailAddress(this.getParsedData("ContactElectronicMailAddress", elem));

	}
	protected void setVersionID() {
		this.versionId = internID;
		
	}

}
