/*
 * Created on 20.11.2003
 */
package org.n52.wmsclientcore.capabilities.version111;

import org.n52.wmsclientcore.capabilities.model.EX_GeographicBoundingBox;
import org.w3c.dom.Element;


/**
 * @author Theodor
 */
public class LatLonBoundingBox extends EX_GeographicBoundingBox implements ICapabilitiesElement111{

	/**
	 * 
	 */
	public LatLonBoundingBox(Element elem) {
		super(elem);
	
	}
	public void setMinx(double value)
	{
		this.setWestBoundLongitude(value);
	}
	public void setMaxx(double value)
	{
		this.setEastBoundLongitude(value);
	}
	public void setMiny(double value)
	{
		this.setSouthBoundLatitude(value);
	}
	public void setMaxy(double value)
	{
		this.setNorthBoundLatitude(value);
	}
	public double getMinx()
	{
		return this.getWestBoundLongitude();
	}
	public double getMaxx()
	{
		return this.getEastBoundLongitude();
	}
	public double getMaxy()
	{
		return this.getNorthBoundLatitude();
	}
	public double getMiny()
	{
		return this.getSouthBoundLatitude();
	}
	/* (non-Javadoc)
	 * @see de.ifgi.wms.capabilities.util.CapabilitiesElement#init(org.dom4j.Element)
	 */
	protected void init(Element elem) {
		this.setMinx(Double.parseDouble(this.getAttributeData("minx", null, elem)));
		this.setMiny(Double.parseDouble(this.getAttributeData("miny", null, elem)));
		this.setMaxx(Double.parseDouble(this.getAttributeData("maxx", null, elem)));
		this.setMaxy(Double.parseDouble(this.getAttributeData("maxy", null, elem)));
		
	}
	protected void setVersionID() {
		this.versionId = internID;
		
	}
}
