/*
 * Created on 08.12.2003
 */
package org.n52.wmsclientcore.request;

/**
 * @author Theodor
 */
public class GetMapRequest110 extends GetMapRequest {

	/**
	 * 
	 */
	public GetMapRequest110(String url) {
		super(url);
		VERSIONPARAMNAME = "VERSION";
		VERSIONPARAMVALUE = "1.1.0";
		REQUESTPARAMVALUE = "GetMap";
		CRSPARAMNAME = "SRS";
	}
	public String getRequestParameters() {
		String timeRequest = new String("");
		if(this.getTime()!=null)
			timeRequest = TIMEPARAMNAME+"="+this.getTime();
		return VERSIONPARAMNAME + "=" + VERSIONPARAMVALUE + "&" + this.REQUESTPARAMNAME + "=" + this.REQUESTPARAMVALUE + "&" + this.LAYERSPARAMNAME + "=" + this.getLayers() + "&" + this.STYLESPARAMNAME + "=" + this.getStyles() + "&" + this.CRSPARAMNAME + "=" + this.getCrs() + "&" + this.BBOXPARAMNAME + "=" + this.getBbox() + "&" + this.WIDTHPARAMNAME + "=" + this.getWidth() + "&" + this.HEIGHTPARAMNAME + "=" + this.getHeight() + "&" + this.FORMATPARAMNAME + "=" + this.getFormat() + "&" + this.TRANSPARENTPARAMNAME + "=" + Boolean.toString(this.isTransparent()).toUpperCase()+"&"+timeRequest;
	}
	/* (non-Javadoc)
	 * @see de.ifgi.wmsclient.request.GetMapRequest#getPartialRequest()
	 */
	public String getPartialRequest() {
		String timeRequest = new String("");
		if(this.getTime()!=null)
				timeRequest = TIMEPARAMNAME+"="+this.getTime();
		return this.LAYERSPARAMNAME + "=" + this.getLayers() + "&" + this.STYLESPARAMNAME + "=" + this.getStyles() + "&" + this.CRSPARAMNAME + "=" + this.getCrs() + "&" + this.BBOXPARAMNAME + "=" + this.getBbox() + "&" + this.WIDTHPARAMNAME + "=" + this.getWidth() + "&" + this.HEIGHTPARAMNAME + "=" + this.getHeight() + "&" + this.FORMATPARAMNAME + "=" + this.getFormat() + "&" + this.TRANSPARENTPARAMNAME + "=" + Boolean.toString(this.isTransparent()).toUpperCase()+"&"+timeRequest;
	}

}
