/*
 * Created on 11.12.2003
 */
package org.n52.wmsclientcore.request;

/**
 * @author Theodor
 */
public abstract class Request {
	protected String url;
	Request(String url) {
		this.url = url;
	}
	public abstract String getRequestParameters();
	public String getCompleteRequestURL(String url) {
		String parameters = getRequestParameters();
		parameters = parameters.replaceAll(" ", "%20");
		if (url.matches(".*\\?.*")) {

			if (url.matches(".*\\&"))
				return url + parameters;
			else
				return url + "&" + parameters;
		} else
			return url + "?" + parameters;
	}
	public String getCompleteRequestURL() {
		return this.getCompleteRequestURL(this.getUrl());
	}
	/**
	 * @return only the url without parameters!
	 */
	public String getUrl() {
		return url;
	}

}
