/*
 * Created on 19.12.2003
 */
package org.n52.wmsclientcore.operations;

import org.n52.wmsclientcore.capabilities.model.WMS_Capabilities;
import org.n52.wmsclientcore.request.GetCapabilitiesRequest;
import org.n52.wmsclientcore.request.GetCapabilitiesRequest100;
import org.n52.wmsclientcore.request.GetCapabilitiesRequest110;


/**
 * @author Theodor
 */
public class GetCapabilitiesOperation extends WmsOperation {

	/**
	 * @param caps
	 */
	public GetCapabilitiesOperation(WMS_Capabilities caps) {
		super(caps);
		
	}

	/**
	 * 
	 */
	public GetCapabilitiesOperation() {
		super();
		
	}
	public GetCapabilitiesRequest getGetCapabilitiesRequest(String version)
	{
		return this.getGetCapabilitiesRequest(version, getUrl());
	}
	/*
	 * version 1.1.1 and 1.1.0 are treated in the same way.
	 */
	public GetCapabilitiesRequest getGetCapabilitiesRequest(String version, String url)
	{
		if(version.startsWith("1.0"))
					return new GetCapabilitiesRequest100(url);
		if(version.startsWith("1.1"))
			return new GetCapabilitiesRequest110(url);
				else return null;
	}
	public String getUrl()
	{
		return capabilities.getCapability().getRequest().getGetCapabilities().getDCPType(0).getHTTP().getHTTPItem(0).getGet().getOnlineResource().getHref();
	}
}
