/*
 * Created on 25.05.2004
 *
 */
package org.n52.wmsclientcore.request;

/**
 * @author Theodor
 *
 */
public abstract class GetFeatureInfoRequest extends Request {

	protected String VERSIONPARAMNAME = "VERSION";
	protected String REQUESTPARAMNAME = "REQUEST";
	protected String QUERY_LAYERS_PARAMNAME = "QUERY_LAYERS";
	protected String XPARAMNAME = "X";
	protected String YPARAMNAME = "Y";
	protected String INFO_FORMAT_PARAMNAME = "INFO_FORMAT";
	protected String VERSIONPARAMVALUE;
	protected String REQUESTPARAMVALUE;

	/*
	 * a partialMapRequest does not contain Version and Request.
	 */
	private String queryLayers, infoFormat, x, y, partialMapRequest;
	/* (non-Javadoc)
	 * @see de.ifgi.wmsclient.request.Request#getRequestParameters()
	 */
	public GetFeatureInfoRequest(String url) {
		super(url);
	}

	/**
	 * @return
	 */
	public String getInfoFormat() {
		return infoFormat;
	}

	/**
	 * @return
	 */
	public String getPartialMapRequest() {
		return partialMapRequest;
	}

	/**
	 * @return
	 */
	public String getQueryLayers() {
		return queryLayers;
	}

	/**
	 * @return
	 */
	public String getX() {
		return x;
	}

	/**
	 * @return
	 */
	public String getY() {
		return y;
	}

	/**
	 * @param string
	 */
	public void setInfoFormat(String string) {
		infoFormat = string;
	}

	/**
	 * @param string
	 */
	public void setPartialMapRequest(String string) {
		partialMapRequest = string;
	}

	/**
	 * @param string
	 */
	public void setQueryLayers(String string) {
		queryLayers = string;
	}

	/**
	 * @param string
	 */
	public void setX(String string) {
		x = string;
	}

	/**
	 * @param string
	 */
	public void setY(String string) {
		y = string;
	}
	public void addLayer(String name) {
		if (queryLayers.equals(""))
			queryLayers = name;
		else
			queryLayers = queryLayers + "," + name;
	}
	public void insertLayerBefore(String name) {
		if (queryLayers == null)
			queryLayers = name;
		else if (queryLayers.equals(""))
			queryLayers = name;
		else
			queryLayers = name + "," + queryLayers;
	}
}
